var gulp = require('gulp');
var server = require('./server');
var webpack = require('webpack');
var webpackDevServer = require('webpack-dev-server');

var pl = require('gulp-load-plugins')();

var paths = {
	less: ['./public/less/src/**/*.less', './public/less/main.less']
}

//服务端
gulp.task('server', function(cb) {
	server.listen(3000);
});

//webpack 打包文件
gulp.task('webpack', function(cb) {
	webpack(require('./webpack.config'), function(err, stats) {
		if (err) throw new pl.util.PluginError("webpack", err);
		pl.util.log(["webpack"], stats.toString({
			//output options
		}));
		// cb();
	});
});

// Start a webpack-dev-server
gulp.task('webpackDev', function(cb) {
	var compiler = webpack(require('./webpack.config'));

	new webpackDevServer(compiler, {
		// server and middleware options
	}).listen(8080, "localhost", function(err) {
		if (err) throw new pl.util.PluginError("webpack-dev-server", err);
		// Server listening
		pl.util.log("[webpack-dev-server]", "http://localhost:8080/webpack-dev-server/index.html");

		// keep the server alive or continue?
		// callback();
	});

});

gulp.task('watch', function() {
	gulp.watch(paths.less, ["webpack"]);
});

gulp.task('default', ['server',"webpackDev"]);