var express = require('express');
// var jade = require('jade');
var path = require('path');

var favicon = require('serve-favicon'); //网站logo
var logger = require('morgan');
var methodOverride = require('method-override');
var session = require('express-session');
//
var bodyParser = require('body-parser');
var multer = require('multer');
var errorHandler = require('errorhandler');

var app = express();

// all environments
app.set('port', process.env.PORT || 3000);
app.set('views', path.join(__dirname, 'views'));
// app.set('view engine', 'jade');
// app.use(favicon(__dirname + '/public/bower_components/resources/images/blog.ico'));
app.use(logger('dev'));
app.use(methodOverride());
app.use(session({
	resave: true,
	saveUninitialized: true,
	secret: 'uwotm8'
}));

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({
	extended: false
}));
app.use(multer());
// app.use(app.router);
app.use(express.static(path.join(__dirname, 'public')));

// development only
if ('development' == app.get('env')) {
	app.use(errorHandler());
}

//首页
app.get('/', function(req, res) {
	res.set("cache-control", "no-cache,must revalidate");
	res.sendFile('index.html', {
		root: path.join(__dirname, 'views')
	});
});

//测试
app.get('/test/', function(req, res) {
	res.set("cache-control", "no-cache,must revalidate");
	res.sendFile('test.html', {
		root: path.join(__dirname, 'views')
	});
});

exports.listen = function(port) {
	app.set('port', port);
	app.listen(app.get('port'), function() {
		console.log('Express server listening on port ' + app.get('port'));
	});
}